View Issue Details

IDProjectCategoryView StatusLast Update
0004895SOGoBackend Generalpublic2020-07-13 08:17
ReporterRodirik Assigned Toludovic  
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Summary0004895: Argon2id Support
Description

Argon2id is considered by many to be the best practice solution for password hashing. It was created to resist software and even hardware based cracking attacks.
Dovecot supports it for about two years now.
Please add support for argon2id to SoGo.

Tagsauthentication, missing

Activities

phenomax

phenomax

2020-04-22 04:52

reporter   ~0014279

Any updates / ETA for this?

the_nic

the_nic

2020-05-09 12:50

reporter   ~0014312

See https://github.com/inverse-inc/sogo/pull/272,

the_nic

the_nic

2020-07-11 11:48

reporter   ~0014519

this can be closed now

Related Changesets

sogo: master 4c27826f

2020-05-09 10:38:12

the_nic

Details Diff
feat(core): Support ARGON2I/ARGON2ID password hashes

Requires libsodium ≥ 1.0.9 to be present at compile time.

Thus, the following distributions will have support for at least
ARGON2i:

* rhel ≥ 7 (with EPEL enabled)
* Debian ≥ 9 (stretch)
* Ubuntu ≥ Bionic (18.04)

Fixes 0004895
Affected Issues
0004895
mod - Documentation/SOGoInstallationGuide.asciidoc Diff File
mod - SoObjects/SOGo/GNUmakefile.preamble Diff File
mod - SoObjects/SOGo/NSData+Crypto.h Diff File
mod - SoObjects/SOGo/NSData+Crypto.m Diff File
mod - Tests/Unit/GNUmakefile Diff File
mod - Tests/Unit/TestNSString+Crypto.m Diff File
mod - configure Diff File
mod - packaging/debian-multiarch/control Diff File
mod - packaging/debian-multiarch/rules Diff File
mod - packaging/debian/control Diff File
mod - packaging/debian/rules Diff File
mod - packaging/rhel/sogo.spec Diff File

Issue History

Date Modified Username Field Change
2019-11-27 09:34 Rodirik New Issue
2019-12-06 15:27 Rodirik Tag Attached: authentication
2019-12-06 15:27 Rodirik Tag Attached: missing
2020-04-22 04:52 phenomax Note Added: 0014279
2020-05-09 12:50 the_nic Note Added: 0014312
2020-07-03 14:44 the_nic Changeset attached => sogo master 4c27826f
2020-07-11 11:48 the_nic Note Added: 0014519
2020-07-13 08:17 ludovic Assigned To => ludovic
2020-07-13 08:17 ludovic Status new => closed
2020-07-13 08:17 ludovic Resolution open => fixed